Bug 850538 - RFE Make condor_history -backwards the default, add -forwards
RFE Make condor_history -backwards the default, add -forwards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Linux
low Severity low
: 2.3
: ---
Assigned To: Timothy St. Clair
Daniel Horák
: FutureFeature, TestOnly
Depends On:
Blocks: 845292
  Show dependency treegraph
 
Reported: 2012-08-21 15:10 EDT by Timothy St. Clair
Modified: 2013-05-06 09:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.3
Doc Type: Rebase: Enhancements Only
Doc Text:
Important: if this rebase also contains *bug fixes* (or contains only bug fixes), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: condor-7.8 series Highlights and notable enhancements: condor_history now prints in reverse chronological order, so most recent jobs are first.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 09:39:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Condor 2808 None None None 2012-08-21 15:10:57 EDT

  None (edit)
Description Timothy St. Clair 2012-08-21 15:10:57 EDT
Change the default for condor_history to print out items in reverse chronological order. The new -forwards option enables the previous behavior of printing historical jobs in chronological order
Comment 6 Daniel Horák 2013-04-23 07:24:16 EDT
Tested and verified on RHEL 5.9/6.4 - i386/x86_64:
# rpm -q condor 
  condor-7.8.8-0.4.1.el5.i386

# condor_history -h
  Usage: condor_history [options]
    where [options] are
   ...
      -backwards		List jobs in reverse chronological order
      -forwards		List jobs in chronological order
   ...

# condor_history 
   ID      OWNER            SUBMITTED     RUN_TIME ST   COMPLETED CMD            
     2.2   test            4/23 13:09   0+00:01:00 C   4/23 13:16 /bin/sleep 60  
     2.1   test            4/23 13:09   0+00:01:00 C   4/23 13:15 /bin/sleep 60  
     2.0   test            4/23 13:09   0+00:01:00 C   4/23 13:14 /bin/sleep 60  
     1.2   test            4/23 13:09   0+00:01:00 C   4/23 13:13 /bin/sleep 60  
     1.1   test            4/23 13:09   0+00:01:01 C   4/23 13:12 /bin/sleep 60  
     1.0   test            4/23 13:09   0+00:01:00 C   4/23 13:11 /bin/sleep 60  

# condor_history -backwards
   ID      OWNER            SUBMITTED     RUN_TIME ST   COMPLETED CMD            
     2.2   test            4/23 13:09   0+00:01:00 C   4/23 13:16 /bin/sleep 60  
     2.1   test            4/23 13:09   0+00:01:00 C   4/23 13:15 /bin/sleep 60  
     2.0   test            4/23 13:09   0+00:01:00 C   4/23 13:14 /bin/sleep 60  
     1.2   test            4/23 13:09   0+00:01:00 C   4/23 13:13 /bin/sleep 60  
     1.1   test            4/23 13:09   0+00:01:01 C   4/23 13:12 /bin/sleep 60  
     1.0   test            4/23 13:09   0+00:01:00 C   4/23 13:11 /bin/sleep 60  

# condor_history -forwards
   ID      OWNER            SUBMITTED     RUN_TIME ST   COMPLETED CMD            
     1.0   test            4/23 13:09   0+00:01:00 C   4/23 13:11 /bin/sleep 60  
     1.1   test            4/23 13:09   0+00:01:01 C   4/23 13:12 /bin/sleep 60  
     1.2   test            4/23 13:09   0+00:01:00 C   4/23 13:13 /bin/sleep 60  
     2.0   test            4/23 13:09   0+00:01:00 C   4/23 13:14 /bin/sleep 60  
     2.1   test            4/23 13:09   0+00:01:00 C   4/23 13:15 /bin/sleep 60  
     2.2   test            4/23 13:09   0+00:01:00 C   4/23 13:16 /bin/sleep 60  

# condor_history -l | grep -i -e completiondate -e globaljobid -e "^$"
  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.2#1366715384"
  CompletionDate = 1366715764

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.1#1366715384"
  CompletionDate = 1366715704

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.0#1366715384"
  CompletionDate = 1366715644

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.2#1366715383"
  CompletionDate = 1366715584

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.1#1366715383"
  CompletionDate = 1366715524

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.0#1366715383"
  CompletionDate = 1366715463


# condor_history -l -backwards | grep -i -e completiondate -e globaljobid -e "^$"
  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.2#1366715384"
  CompletionDate = 1366715764

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.1#1366715384"
  CompletionDate = 1366715704

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.0#1366715384"
  CompletionDate = 1366715644

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.2#1366715383"
  CompletionDate = 1366715584

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.1#1366715383"
  CompletionDate = 1366715524

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.0#1366715383"
  CompletionDate = 1366715463


# condor_history -l -forwards | grep -i -e completiondate -e globaljobid -e "^$"
  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.0#1366715383"
  CompletionDate = 1366715463

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.1#1366715383"
  CompletionDate = 1366715524

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#1.2#1366715383"
  CompletionDate = 1366715584

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.0#1366715384"
  CompletionDate = 1366715644

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.1#1366715384"
  CompletionDate = 1366715704

  GlobalJobId = "dhcp-37-144.lab.eng.brq.redhat.com#2.2#1366715384"
  CompletionDate = 1366715764

Command condor_history prints jobs by default in reverse chronological order, so most recent jobs are first.
Parameters -backwards, -forwards work's as excepted.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.